<?
  include ("../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  
  //================ PAGE LOGIC ================
  $alert=getAlert();
  
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delZapataGroup($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["zapatagrp"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["zapatagrp"]["alertDelBad"]."</div>";
  }
 $channel=''; 
  $ret=$asterisk->getZapataGroup(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
//  echo "<PRE>"; print_r($ret);
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id=$v["id"];
      $name=$v["name"];
      //$order=$v["trunk_order"];
        $channel = implode(",", $v["channel"]);
 $html.="<td><a href=\"edit/?id=$id\">$name</a> (Channels: <strong>$channel</strong>) <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('Are you sure to delete the $name group?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <? $sel="groups"; include ("navigation.php");?>

  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["zapatagrp"]["title"]?></h1>
    <h3><a href="edit/" class="admin" ><?=$cwlang["zapatagrp"]["newGroup"]?></a></h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <?$sel="zapata";include("../sidebar.php");?>
          <h1><?=$cwlang["zapatagrp"]["sidebarTitle"]?></h1>
          <?=$cwlang["zapatagrp"]["sidebarDesc"]?>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "zapata");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

